Download it now!
Bug 101779 - Templates window: line break not working in tooltip
Summary: Templates window: line break not working in tooltip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.3.0 target:5.2.2 target:6.3.0
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2016-08-29 15:22 UTC by Gabor Kelemen
Modified: 2019-05-20 19:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in KeyID locale (73.13 KB, image/png)
2016-08-29 15:22 UTC, Gabor Kelemen
Details
Screenshot of the problem on en_US UI (66.87 KB, image/png)
2016-08-29 15:23 UTC, Gabor Kelemen
Details
Screenshot of the problem on Hungarian UI (53.25 KB, image/png)
2016-08-29 15:25 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2016-08-29 15:22:43 UTC
Created attachment 127064 [details]
Screenshot of the problem in KeyID locale

When hovering over a template in the Templates window a tooltip appears with the name and category of the given template. In English there is a space between the template name and the Category word, but in the localized UI there is no separator.

In Pootle, I see there is a \n between the name and category of the template: 
https://translations.documentfoundation.org/hu/libo_ui/translate/#search=cqcsl&sfields=notes 

For the record, it's this string:
#. CQCsL
#: doc.src
msgctxt ""
"doc.src\n"
"STR_TEMPLATE_TOOLTIP\n"
"string.text"
msgid ""
"Title: $1\n"
"Category: $2"


So it does not work as intended even in English, and even worse in Hungarian.Sc
Comment 1 Gabor Kelemen 2016-08-29 15:23:25 UTC
Created attachment 127065 [details]
Screenshot of the problem on en_US UI
Comment 2 Gabor Kelemen 2016-08-29 15:25:01 UTC
Created attachment 127066 [details]
Screenshot of the problem on Hungarian UI
Comment 3 Gabor Kelemen 2016-08-29 15:28:57 UTC
Used in the TemplateLocalView::insertItems method of 
https://cgit.freedesktop.org/libreoffice/core/tree/sfx2/source/control/templatelocalview.cxx
Comment 4 Yousuf Philips (jay) (retired) 2016-08-29 15:45:34 UTC
I believe this is already dealt with in bug 101440.
Comment 5 Gabor Kelemen 2016-08-29 16:44:02 UTC
(In reply to Yousuf (Jay) Philips from comment #4)
> I believe this is already dealt with in bug 101440.

Yeah, same thing. 
But my build is from 08. 24. and the line break still doesn't work. 
Maybe it should be removed too?
Comment 6 Yousuf Philips (jay) (retired) 2016-08-31 10:53:17 UTC
(In reply to Gabor Kelemen from comment #5)
> Yeah, same thing. 
> But my build is from 08. 24. and the line break still doesn't work. 
> Maybe it should be removed too?

Yes the line break doesnt work in gtk2 and windows, though appears in gtk3, and that would have to be fixed at the framwork level.
Comment 7 Yousuf Philips (jay) (retired) 2016-08-31 12:46:34 UTC
Heard from a mac user that it is also broken on Mac.
Comment 8 Commit Notification 2016-08-31 17:30:46 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2decee2ccd9a4167949843da0db99edaebe6acd8

tdf#101779 Allow multiline tooltips in template manager

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Gabor Kelemen 2016-09-02 06:59:28 UTC
I have built the master branch yesterday and verified that the fix works, thanks.
Is it possible to backport this to the 5.2 branch?
Comment 10 Commit Notification 2016-09-04 09:03:03 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5081c16ac77971c9523405c4a10a10a628ce0da

tdf#101852 Revert "tdf#101779 Allow multiline tooltips in template manager"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-09-04 09:03:34 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=331d3a8b23cdbff0e1434aa5a553efdcc2c7c822

Related: tdf#101779 TipStyleBalloon for ShowQuickHelp too

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-09-04 09:03:54 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c3a9aa403c209e522dc5c32258c33381677c91e

tdf#101779 Multiline tooltips in template manager

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Maxim Monastirsky 2016-09-04 09:07:55 UTC
The original commit created a regression (Bug 101852), so I'm trying now a different approach.
Comment 14 Commit Notification 2016-09-06 19:41:46 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abd7dc569ec746f5eef03613ecfbcbf75491e640&h=libreoffice-5-2

tdf#101779 Allow multiline tooltips in template manager

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-05-20 19:12:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d6d82d3f2b4a468e4ca432c964f0923ce289d862%5E%21

Resolves: tdf#125369 recover newline support of tdf#101779

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.